#ifndef PLANETINFODISPLAY_H
#define PLANETINFODISPLAY_H

#include <QGraphicsItem>
#include <QPainter>
#include <QString>
#include <QObject>

class PlanetInfoDisplay : public QGraphicsItem
{
public:
    PlanetInfoDisplay();
    QRectF boundingRect() const;
    void paint(QPainter* painter,const QStyleOptionGraphicsItem* option,QWidget* widget);
    void setData(QString name,QString owner,int production,int shipCount,float defBonus);
    int getWidth();

private:
    int width;
    QString shownName;
    QString shownOwner;
    QString shownProdction;
    QString shownShipCount;
    QString shownDefBonus;
};

#endif // PLANETINFODISPLAY_H
