#include "roundbutton.h"

void RoundButton::enterEvent(QEvent*)
{
    this->setPixmap(QPixmap(":/eyecandy/roundButtonActive.png"));
}

void RoundButton::leaveEvent(QEvent*)
{
    this->setPixmap(QPixmap(":/eyecandy/roundButtonInactive.png"));
}

void RoundButton::mousePressEvent(QMouseEvent* event)
{
    this->setPixmap(QPixmap(":/eyecandy/roundButtonPressed.png"));
    event->accept();
}

void RoundButton::mouseMoveEvent(QMouseEvent* event)
{
    event->accept();
}

void RoundButton::mouseReleaseEvent(QMouseEvent*)
{
    this->setPixmap(QPixmap(":/eyecandy/roundButtonActive.png"));
    emit clicked();
}

RoundButton::RoundButton(QPixmap pixmap,QWidget *parent)
    :QLabel(parent)
{
    ui.setupUi(this);
    ui.label->setPixmap(pixmap);
    this->setPixmap(QPixmap(":/eyecandy/roundButtonInactive.png"));
    this->setCursor(QCursor(Qt::PointingHandCursor));
}
