#ifndef ROUNDBUTTON_H
#define ROUNDBUTTON_H

#include "ui_roundbutton.h"
#include <QEvent>
#include <QMouseEvent>
#include <QLabel>

class RoundButton : public QLabel
{
    Q_OBJECT
public:
    RoundButton(QPixmap pixmap,QWidget *parent = 0);

protected:
    void mousePressEvent(QMouseEvent* event);
    void mouseReleaseEvent(QMouseEvent* event);
    void mouseMoveEvent(QMouseEvent* event);
    void enterEvent(QEvent* event);
    void leaveEvent(QEvent* event);

signals:
    void clicked();

private:
    Ui::RoundButton_ui ui;
};

#endif // ROUNDBUTTON_H
